%define		mod_name	macro
%define		apxs		/usr/sbin/apxs
Summary:	Apache module to allow macros in apache config files
Summary(pl.UTF-8):	Moduł do apache pozwalający używać makr w konfiguracji
Name:		apache-mod_%{mod_name}
Version:	1.2.1
Release:	1
License:	Apache
Group:		Networking/Daemons/HTTP
Source0:	http://www.cri.ensmp.fr/~coelho/mod_macro/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	d57f45c146a47818fb1ad346c2e4ce68
URL:		http://www.cri.ensmp.fr/~coelho/mod_macro/
BuildRequires:	apache-devel >= 2.4
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
Apache module to allow macros in apache config files.

%description -l pl.UTF-8
Moduł do apache pozwalający używać makr w plikach konfiguracyjnych.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install -p .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Sun May 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_macro.git;a=log;h=master

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> 0192a00
- up to 1.2.1 for apache 2.4

* Wed May 25 2011 zbyniu <zbyniu@pld-linux.org> ebd8a1b
- up to 1.1.11

* Sun Jan 03 2010 Elan Ruusamäe <glen@pld-linux.org> d6c04f1
- fix dirdep; rel 2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> d65371b
- HTTP group

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> ad09bdc
- up to 1.1.10

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 0151239
- up to 1.1.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1312bad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5f994df
- converted to UTF-8

* Tue Oct 31 2006 zbyniu <zbyniu@pld-linux.org> df1e8ab
- up to 1.1.8

* Sun May 14 2006 zbyniu <zbyniu@pld-linux.org> f4372ff
- up to 1.1.7

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> b95fb97
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 7238e71
- use %service

* Mon Jan 30 2006 zbyniu <zbyniu@pld-linux.org> 58c0045
- missing dir in install; rel 1

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> ff7b867
- use apache_modules_api

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 9c1e7ed
- unified

* Thu Oct 27 2005 zbyniu <zbyniu@pld-linux.org> 5ba1978
- new

